
QGIS Application - Bug report #21637

r.sun cannot be executed because it calls on two incompatible options

2019-03-21 11:16 AM - vince -

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/GRASS

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29453

Description

Trying to run the r.sun grass7 function from the Processing toolbox gives the following output:

"ERROR: insol_time and incidout are incompatible options"

And the process exits without producing any output. As was the case with r.sunmask, would it be possible to split that function into two

mutually exclusive sub-functions?

Associated revisions

Revision ab646c4d - 2019-05-23 09:13 AM - Alexander Bruy

[processing] split r.sun into two algorithms as it has mutually

exclusive options (fix #21637)

Revision 121a92df - 2019-05-25 06:59 AM - Alexander Bruy

Merge pull request #10074 from alexbruy/grass-r-sun

[processing] split GRASS r.sun algorithm into two (fix #21637)

Revision f17accf1 - 2019-05-25 07:04 AM - Alexander Bruy

[processing] split r.sun into two algorithms as it has mutually

exclusive options (fix #21637)

(cherry picked from commit ab646c4d75c6eac3c37cfa6a284191040048ffe8)

Revision de0544c1 - 2019-05-25 12:49 PM - Alexander Bruy

Merge pull request #25793 from alexbruy/backport-r-sun

[processing] split GRASS r.sun algorithm into two (fix #21637)

History

#1 - 2019-03-21 12:03 PM - Giovanni Manghi

2025-04-26 1/2



- Operating System deleted (MacOS X)

- Assignee set to Giovanni Manghi

#2 - 2019-05-23 06:13 AM - Alexander Bruy

- Assignee changed from Giovanni Manghi to Alexander Bruy

- Status changed from Open to In Progress

#3 - 2019-05-23 06:37 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/10074

#4 - 2019-05-25 06:59 AM - Alexander Bruy

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|ab646c4d75c6eac3c37cfa6a284191040048ffe8.
